Aerovy Platform logo

Update an integration

Updates an integration's name, properties, and metadata. Requires an API key with the write action scoped to the integration.

PATCHhttps://spectra.api.aerovy.com/v2/integrations/{integrationId}

Updates an integration's name, properties, and metadata. Requires an API key with the write action scoped to the integration.

Loading code example
Loading code example

Authorizations

apiKeystringheaderrequired

API key passed in the header.

Path Parameters

integrationIdstringrequired

The integration id.

Body

The fields to update.

integrationNamestring

New integration name, if changing.

metaDataobject

Metadata entries to add or overwrite.

metaDataToDeletearray<string>

Metadata keys to remove.

propertiesobject

Configuration properties to add or overwrite (multi-valued).

propertiesToDeletearray<string>

Property keys to remove.

Response

application/json

Updated.